@import '../../styles/mixins.scss';
@import '../../styles/variables.scss';
.header {
  background-color: $white;
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: auto;

  &__wrapper {
    background-color: $white;
    max-width: 1180px;
    margin: 0 auto;
  }

  &__location-menu {
    display: flex;
    justify-content: space-between;
    padding: 11px 5px;
  }

  &__location {
    @include secondary-font-12-normal($text-extra-grey);
    text-decoration-line: underline;
    display: flex;
    align-items: center;
    &::before {
      content: '';
      background-image: url('/assets/svg/location-header.svg');
      background-size: cover;
      height: 16px;
      width: 12px;
      margin-right: 12px;
      display: inline-block;
    }
  }

  &__location-adress {
    @include secondary-font-12-300($text-extra-black);
    margin-left: 255px;
    text-align: center;

    @media (max-width: $large) {
      margin-left: 0px;
    }

    @media (max-width: $small) {
      display: none;
    }
  }

  &__location-phone {
    @include secondary-font-12-300($text-extra-grey);

    a {
      &:hover {
        opacity: 0.5;
      }

      &::before {
        content: '';
        background-image: url('/assets/svg/phone-header.svg');
        background-size: cover;
        height: 12px;
        width: 12px;
        margin-right: 3px;
        display: inline-block;
        margin-bottom: -3px;
      }
    }
  }

  &__location-vacancy {
    @include secondary-font-12-300($text-extra-grey);
    text-decoration-line: underline;
    &:hover {
      opacity: 0.5;
    }

    @media (max-width: $medium) {
      display: none;
    }
  }

  &__location-search {
    button {
      background-image: url('/assets/svg/search-header.svg');
      background-position: center;
      background-color: transparent;
      background-repeat: no-repeat;
      background-size: cover;
      border: none;
      width: 12px;
      height: 12px;

      &:hover {
        opacity: 0.5;
      }
    }

    @media (max-width: $medium) {
      display: none;
    }
  }

  &__container {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
  }

  &__nav-menu {
    display: flex;
    position: relative;
    justify-content: space-between;
    align-items: center;
    padding: 24px 5px;
  }

  &__logo {
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 900;
    font-size: 25px;
    line-height: 30px;
    color: $blue;
  }
}

.nav {
  display: flex;

  &__burger-icon {
    display: none;

    @media (max-width: $medium) {
      display: block;
      position: absolute;
      top: 50%;
      right: 0;
      transform: translate(0, -50%);
      font-size: 30px;
      cursor: pointer;
      color: $blue;
    }
  }

  &__menu-list {
    display: flex;
    position: relative;

    &:first-child {
      margin-left: 0;
    }

    @media (max-width: $medium) {
      display: flex;
      flex-direction: column;
      width: 100%;
      height: 90vh;
      position: absolute;
      top: 80px;
      left: -100%;
      opacity: 1;
      transition: all 0.5s ease;

      &--active {
        background: #fff;
        left: 0;
        opacity: 1;
        transition: all 0.6s ease;
        z-index: 999;
        text-align: center;
        padding-top: 30px;
      }
    }
  }

  &__menu-list-item {
    @include main-font-14-normal($text-extra-black);
    margin-left: 50px;
    line-height: 16px;
    transition: 0.3s;

    &:hover {
      color: $blue;
    }

    @media (max-width: $medium) {
      margin-top: 20px;
      margin-left: 0;
    }
  }
}
